SoComposeMatrix(3)

NAME
SoComposeMatrix - The SoComposeMatrix class is used to compose a matrix from miscellaneous transformations.

SYNOPSIS

#include <Inventor/engines/SoComposeMatrix.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()

  Public Attributes
SoMFVec3f translation
SoMFRotation rotation
SoMFVec3f scaleFactor
SoMFRotation scaleOrientation
SoMFVec3f center
SoEngineOutput matrix

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoComposeMatrix class is used to compose a matrix from miscellaneous transformations.

Member Function Documentation

  SoType SoComposeMatrix::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoComposeMatrix::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoComposeMatrix::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoComposeMatrix::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoComposeMatrix::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoComposeMatrix::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoComposeMatrix::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFVec3f SoComposeMatrix::translation
Input field with set of translation vectors for the output matrices.

  SoMFRotation SoComposeMatrix::rotation
Input field with set of rotations for the output matrices.

  SoMFVec3f SoComposeMatrix::scaleFactor
Input field with set of scale vectors for the output matrices.

  SoMFRotation SoComposeMatrix::scaleOrientation
Input field with set of scale orientations for the output matrices.

  SoMFVec3f SoComposeMatrix::center
Input field with set of center positions for the output matrices.

  SoEngineOutput SoComposeMatrix::matrix
(SoMFMatrix) A set of matrices calculated from the input fields. The matrices is calculated by the SbMatrix::setTransform() function.

Author

Generated automatically by Doxygen for Coin from the source code.